LibreOffice: WindowDescriptor Struct Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
WindowDescriptor Struct Referencepublished

describes a window. More...

`import"WindowDescriptor.idl";`

## Public Attributes
com::sun::star::awt::WindowClass | Type
| specifies the type of window. More...
string | WindowServiceName
| specifies the name of the component service. More...
com::sun::star::awt::XWindowPeer | Parent
| specifies the parent of the component. More...
short | ParentIndex
| specifies the index of the parent window, if available. More...
com::sun::star::awt::Rectangle | Bounds
| specifies the position and size of the window. More...
long | WindowAttributes
| specifies the window attributes. More...

## Detailed Description

describes a window.

## Member Data Documentation

com::sun::star::awt::Rectangle Bounds

specifies the position and size of the window.

This member is ignored if the window attribute is com::sun::star::awt::WindowAttribute::FULLSIZE.

com::sun::star::awt::XWindowPeer Parent

specifies the parent of the component.

If `Parent == 0 && ParentIndex == -1`, then the window is on the desktop.

short ParentIndex

specifies the index of the parent window, if available.

If `Parent == 0` and this struct is a member of an array, then this is the offset from the beginning of the array to the parent. A value of -1 means desktop.

com::sun::star::awt::WindowClass Type

specifies the type of window.

long WindowAttributes

specifies the window attributes.

Use one value out of the constant group com::sun::star::awt::WindowAttribute.

string WindowServiceName

specifies the name of the component service.

A zero length name means that the VCL creates a blank top, a container, or a simple window. The following service names are defined:

- buttondialog
- cancelbutton
- checkbox
- combobox
- control
- currencybox
- currencyfield
- datebox
- datefield
- dialog
- dockingarea
- dockingwindow
- edit
- errorbox
- fixedbitmap
- fixedimage
- fixedline
- fixedtext
- floatingwindow
- framewindow
- groupbox
- helpbutton
- imagebutton
- imageradiobutton
- infobox
- listbox
- longcurrencybox
- longcurrencyfield
- menubutton
- messbox
- metricbox
- metricfield
- modaldialog
- modelessdialog
- morebutton
- multilistbox
- numericbox
- numericfield
- okbutton
- patternbox
- patternfield
- pushbutton
- querybox
- radiobutton
- scrollbar
- scrollbarbox
- spinbutton
- spinfield
- splitter
- splitwindow
- statusbar
- systemchildwindow
- tabcontrol
- tabdialog
- tabpage
- timebox
- timefield
- toolbox
- tristatebox
- warningbox
- window
- workwindow

The documentation for this struct was generated from the following file:

- com/sun/star/awt/WindowDescriptor.idl